#
# spec file for package xf86-video-i128
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xf86-video-i128
Version:        1.4.1
Release:        1.1
Summary:        Number 9 I128 video driver for the Xorg X server
License:        MIT
Group:          System/X11/Servers/XF86_4
URL:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/driver/%{name}-%{version}.tar.xz
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(fontsproto)
BuildRequires:  pkgconfig(pciaccess) >= 0.8.0
BuildRequires:  pkgconfig(randrproto)
BuildRequires:  pkgconfig(renderproto)
BuildRequires:  pkgconfig(videoproto)
BuildRequires:  pkgconfig(xextproto)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xorg-server)
BuildRequires:  pkgconfig(xproto)
Supplements:    modalias(xorg-x11-server:pci:v0000105Dd*sv*sd*bc03sc*i*)
# This was part of the xorg-x11-driver-video package up to version 7.6
Conflicts:      xorg-x11-driver-video <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExcludeArch:    s390 s390x
%x11_abi_videodrv_req

%description
i128 is an Xorg driver for Number 9 I128 video cards.

The driver is accelerated and provides support for all versions of the
I128 chip family, including the SGI flatpanel configuration. Multi-head
configurations are supported.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install
find %{buildroot}%{_libdir} -name '*.la' -type f -delete -print

%files
%defattr(-,root,root)
%doc ChangeLog README
%license COPYING
%dir %{_libdir}/xorg/modules/drivers
%{_libdir}/xorg/modules/drivers/i128_drv.so
%{_datadir}/man/man4/i128.4%{?ext_man}

%changelog
* Mon May  8 2023 Stefan Dirsch <sndirsch@suse.com>
- Update to version 1.4.1
  * Fix spelling/wording issues
  * gitlab CI: add a basic build test
  * gitlab CI: stop requiring Signed-off-by in commits
  * Handle -Wunused-const-variable warnings
  * Handle -Wdiscarded-qualifiers warnings
  * Handle -Wempty-body warnings
* Mon Dec 10 2018 sndirsch@suse.com
- Update to version 1.4.0
  * This is a maintenance release of Number Nine Imagine 128 DDX.
    There was one patch that has been languishing over at Patchwork X.org website
    (https://patchwork.freedesktop.org/patch/122831/) for more than 2 years, so
    I decided to apply it, and release a new version.
    With that patch applied and one more small patch I authored, the DDX compiles
    cleanly without compilation warnings.
    (Kevin Brace, Brace Computer Laboratory, https://bracecomputerlab.com)
- supersedes U_Remove-mibstore.h.patch
* Wed Aug  7 2013 ro@suse.de
- add ExcludeArch for s390 and s390x
* Thu Mar 21 2013 sndirsch@suse.com
- Add mibstore.patch, fixes build with xorg-server 1.14
* Wed Mar 20 2013 sndirsch@suse.com
- introduce hardware supplements conditional on xorg-x11-server
  package (bnc#810333)
* Mon Sep 17 2012 sndirsch@suse.com
- Update to version 1.3.6
  * convert to compat API.
  * build against xaa-less server.
* Thu Apr 19 2012 dimstar@opensuse.org
- Update to version 1.3.5:
  + Fix for new vgaHW ABI
  + Make failure to XAA non-fatal
  + Build fix for ABI Version 12
- Use %%x11_abi_videodrv_req instead of static ABI Requires.
* Wed Apr 18 2012 vuntz@opensuse.org
- Split xf86-video-i128 from xorg-x11-driver-video.
  Initial version: 1.3.4.
